API Reference
List reservation message attempts
Requires reservations:read. Attempt diagnostics are not delivery proof. would_send does not mean delivered. Use nextCursor while hasNext is true.
GET
/
reservations
/
lifecycle
/
attempts
List reservation message attempts
curl --request GET \
--url https://platform-api.visitoai.com/m2m/v1/reservations/lifecycle/attempts \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-api.visitoai.com/m2m/v1/reservations/lifecycle/attempts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-api.visitoai.com/m2m/v1/reservations/lifecycle/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempts": [
{
"eventId": "<string>",
"lifecycleEventType": "booking_confirmed",
"result": "would_send",
"reason": "<string>",
"integrationId": "<string>",
"providerReservationId": "<string>",
"triggerSource": "sync_transition",
"attemptCount": 123,
"duplicateCount": 123,
"policy": {
"outboundEnabled": true,
"tenantAllowed": true,
"masterEnabled": true,
"integrationActive": true,
"integrationEligible": true,
"eventEnabled": true,
"channelMapped": true,
"channelActive": true,
"respondEnabled": true,
"phonePresent": true,
"phoneValid": true,
"outsideQuietHours": true
},
"createdAt": "<string>",
"integrationName": "<string>",
"propertyId": "<string>",
"propertyName": "<string>",
"senderPhoneNumber": "<string>",
"senderLabel": "<string>",
"channelId": "<string>",
"metaTemplateName": "<string>",
"metaTemplateLocale": "en_US",
"metaTemplateStatus": "pending",
"metaTemplateVersion": 123,
"metaTemplateErrorCode": "<string>",
"metaTemplateErrorMessage": "<string>",
"checkInDate": "<string>",
"checkOutDate": "<string>",
"guestPhoneRaw": "<string>",
"guestPhoneNormalized": "<string>",
"conversationId": "<string>",
"conversationLink": "<string>",
"updatedAt": "<string>"
}
],
"availableIntegrations": [
{
"integrationId": "<string>",
"integrationName": "<string>",
"provider": "<string>"
}
],
"availableStatuses": [
"<string>"
],
"availableStages": [
"<string>"
],
"pageSize": 123,
"hasNext": true,
"nextCursor": "<string>"
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Query Parameters
Maximum string length:
160Maximum string length:
500Maximum string length:
160Available options:
booking_confirmed, pre_checkin, post_checkout_review Available options:
would_send, deferred, skipped, invalid, duplicate, error ⌘I
List reservation message attempts
